    PROGRAM nag_err_fun_ex02

      ! Example Program Text for nag_err_fun
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_err_fun, ONLY : nag_erf
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: n = 6
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: i
      REAL (wp) :: y
      ! .. Local Arrays ..
      REAL (wp) :: x(n)
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_err_fun_ex02'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '      x         erf(x)'
      x = (/ -6.0_wp, -4.5_wp, -1.0_wp, 1.0_wp, 4.0_wp, 6.0_wp/)

      DO i = 1, n

        y = nag_erf(x(i))

        WRITE (nag_std_out,fmt='(1X,1P,2E12.3)') x(i), y
      END DO

    END PROGRAM nag_err_fun_ex02
